%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_with check
%global debug_package %{nil}

%global crate vergen

Name:           rust-vergen
Version:        8.3.1
Release:    1%{?dist}
Summary:        Generate cargo:rustc-env instructions for use with env!

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/vergen
Source0:         %{crates_source}
Patch:          vergen-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Generate 'cargo:rustc-env' instructions via 'build.rs' for use in your
code via the 'env!' macro.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+build-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+build-devel %{_description}

This package contains library source intended for building other packages which
use the "build" feature of the "%{crate}" crate.

%files       -n %{name}+build-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+cargo-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+cargo-devel %{_description}

This package contains library source intended for building other packages which
use the "cargo" feature of the "%{crate}" crate.

%files       -n %{name}+cargo-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+cargo_metadata-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+cargo_metadata-devel %{_description}

This package contains library source intended for building other packages which
use the "cargo_metadata" feature of the "%{crate}" crate.

%files       -n %{name}+cargo_metadata-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+cfg-if-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+cfg-if-devel %{_description}

This package contains library source intended for building other packages which
use the "cfg-if" feature of the "%{crate}" crate.

%files       -n %{name}+cfg-if-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+git-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+git-devel %{_description}

This package contains library source intended for building other packages which
use the "git" feature of the "%{crate}" crate.

%files       -n %{name}+git-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+git2-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+git2-devel %{_description}

This package contains library source intended for building other packages which
use the "git2" feature of the "%{crate}" crate.

%files       -n %{name}+git2-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+git2-rs-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+git2-rs-devel %{_description}

This package contains library source intended for building other packages which
use the "git2-rs" feature of the "%{crate}" crate.

%files       -n %{name}+git2-rs-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+gitcl-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+gitcl-devel %{_description}

This package contains library source intended for building other packages which
use the "gitcl" feature of the "%{crate}" crate.

%files       -n %{name}+gitcl-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+gitoxide-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+gitoxide-devel %{_description}

This package contains library source intended for building other packages which
use the "gitoxide" feature of the "%{crate}" crate.

%files       -n %{name}+gitoxide-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+gix-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+gix-devel %{_description}

This package contains library source intended for building other packages which
use the "gix" feature of the "%{crate}" crate.

%files       -n %{name}+gix-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+regex-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+regex-devel %{_description}

This package contains library source intended for building other packages which
use the "regex" feature of the "%{crate}" crate.

%files       -n %{name}+regex-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rustc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rustc-devel %{_description}

This package contains library source intended for building other packages which
use the "rustc" feature of the "%{crate}" crate.

%files       -n %{name}+rustc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rustc_version-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rustc_version-devel %{_description}

This package contains library source intended for building other packages which
use the "rustc_version" feature of the "%{crate}" crate.

%files       -n %{name}+rustc_version-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+si-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+si-devel %{_description}

This package contains library source intended for building other packages which
use the "si" feature of the "%{crate}" crate.

%files       -n %{name}+si-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+sysinfo-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+sysinfo-devel %{_description}

This package contains library source intended for building other packages which
use the "sysinfo" feature of the "%{crate}" crate.

%files       -n %{name}+sysinfo-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+time-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+time-devel %{_description}

This package contains library source intended for building other packages which
use the "time" feature of the "%{crate}" crate.

%files       -n %{name}+time-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Jun 21 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 8.3.1-1
- initial build
